Subject: Re: bnx2 dirver's firmware images

From: Willy Tarreau <[email-masked]>
Date: Tue, 18 Sep 2007 23:37:36 +0200

On Tue, Sep 18, 2007 at 02:31:34PM -0700, David Miller wrote:
> From: Willy Tarreau <[email-masked]>
> Date: Tue, 18 Sep 2007 23:30:25 +0200
> 
> > On Tue, Sep 18, 2007 at 12:21:50PM -0700, David Miller wrote:
> > > From: "Michael Chan" <[email-masked]>
> > > Date: Tue, 18 Sep 2007 13:05:51 -0700
> > > 
> > > > The bnx2 firmware changes quite frequently.  A new driver quite often
> > > > requires new firmware to work correctly.  Splitting them up makes things
> > > > difficult for the user.
> > > > 
> > > > The firmware in tg3 is a lot more mature and I don't expect it to
> > > > change.  I think tg3 is better suited for using request_firmware().
> > > 
> > > Like I said, I think neither should change and the driver should
> > > be fully functional when built statically into the kernel.
> > 
> > Michael, doesn't a functional-yet-suboptimal firmware exist ? I mean,
> > just the same principle as we all have kernels, boot CDs, statically
> > built tools, etc... which run everywhere. If you have such a beast,
> > maybe it would be a good start to have it in the kernel, and provide
> > the users with the ability to upgrade the firmware once the system
> > is able to do more complex things.
> > 
> > Just a thought...
> 
> So let's save 60K instead of 80K.

That's not for this reason I said this. Michael said the firmware needs
to be updated somewhat often. What I was wondering was if it was not
possible to stick to a stable one (and hopefully small) so that the
driver could require less frequent updates. Sorry if it's not the main
point of the discussion, but I grepped on this :-)

> I mean, the entire discussion is just plain silly :)

yes, possibly :-)

Cheers,
Willy